import { css } from '@microsoft/fast-element';
const BACKGROUND_COLOR = '#202126';
const BORDER_COLOR = '#2E3339';
/**
 * @public
 */
export const MainStyles = css `
  :host {
    width: 100%;
    height: 100%;
    background: ${BACKGROUND_COLOR};
    display: flex;
    flex-direction: column;
  }

  .loading-spinner-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .section {
    width: calc(100% - (2 * var(--design-unit) * 5px));
    padding: calc(var(--design-unit) * 3px) calc(var(--design-unit) * 5px);
    border-bottom: solid 1px ${BORDER_COLOR};
  }

  .section-search {
    font-size: 0;
  }

  .wrapper {
    width: 100%;
    overflow: hidden;
    flex-grow: 1;
  }

  .wrapper-scroll {
    height: 100%;
    overflow-y: auto;
  }

  .header {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .select-filter {
    min-width: 125px;
  }

  .button-close {
    text-align: center;
    background: transparent;
    height: auto;
    min-width: 0;
    margin: 0 0 0 calc(var(--design-unit) * 5px);
  }

  .button-close::part(control) {
    padding: 0;
    margin: 0;
  }

  .button-close::part(start) {
    margin-inline-end: 0;
  }

  .title {
    font-size: 14px;
    font-weight: 700;
    padding: 0;
    margin: 0 auto 0 0;
  }

  .input-search {
    width: 100%;
  }

  .toast {
    display: inline-block;
    width: 100%;
    border-bottom: solid 1px ${BORDER_COLOR};
  }

  .toast-title {
    padding: 0;
    margin: 0;
  }

  .toast-bottom {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .toast-dropdown {
    font-size: 0;
    margin-left: auto;
    background: transparent;
  }

  .toast-dropdown::part(actions-opener) {
    margin: 0 calc((10 + (var(--design-unit) * 2 * var(--density))) * -1px) 0 0;
    height: auto;
    background: transparent;
    min-width: auto;
  }

  .toast-dropdown::part(actions-menu) {
    right: calc(var(--design-unit) * 5px);
  }

  .toast-content {
    width: 100%;
    margin: 0;
    padding: 0;
  }

  .toast-date {
    color: var(--neutral-foreground-hint);
    font-size: 12px;
  }

  .no-notifiactions-info {
    padding: calc(var(--design-unit) * 5px) 0;
    margin: 0;
    text-align: center;
    font-size: 16px;
  }
`;
